=== debian/changelog ===
emscripten (3.1.69+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Jérémy Lal ]
  * Note about it's tricky to upgrade
  * Do not allow forward compat
  * symbols_lists.lock is properly cleaned (filelock bug)

  [ Santiago Vila ]
  * d/control: Drop <!nocheck> from clang-19, llvm-19 and nodejs. Closes: #1116732.
  * d/control: Mark emscripten-doc as "Multi-Arch: foreign".
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 17 Oct 2025 13:30:00 +0200

emscripten (3.1.69+dfsg-3) unstable; urgency=medium

  * Drop test_float_builtins, triggers llvm frontend crash,
    see #1104731.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 05 May 2025 13:21:29 +0200

emscripten (3.1.69+dfsg-2) unstable; urgency=medium

  [ Khalid Masum ]
  * perm: remove executable flag from cache/symbol_lists.lock
  * rules: mkman: enable sloppy mkman to use stderr help
  * rules: allow generation of manpage for emscons
  * test:benchmark_sse: Fix re.sub regex in comment removal

  [ Jérémy Lal ]
  * Drop htmlmin dep, not actually used
  * Do not run tests in parallel, set EMTEST_SKIP_JSPI
  * Just run a sensible subset of tests for all archs.
    Closes: #1103113.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 04 May 2025 23:38:35 +0200

emscripten (3.1.69+dfsg-1) unstable; urgency=medium

  * New upstream version 3.1.69
  * Update source-map-footer
  * Install node modules
  * Use esbuild to test for es6 syntax errors
  * Depends binaryen >= 120
  * Move to Javascript Maintainers

  [ Julian Gilbey ]
  * Fix provided CMake file (closes: #1081967)
  * Simplify /usr/bin wrapper
  * Install new binaries in /usr/bin
  * Add dependency on ccache
  * Fix some lintian errors and warnings
  * Update d/copyright (though it's probably not completely correct), and
    absorb "License-Grant" sections into "License" sections
  * Increase LLVM dependencies to version 19 (to support
    --no-growable-memory option) (Closes: #1091032)
  * Switch to using standard sphinx-rtd-theme
  * Change d/watch to rename upstream version as +dfsg instead of ~dfsg in
    future

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Feb 2025 23:54:55 +0100
