=== debian/tests/control ===
Test-Command:
 pkgjs-install-minimal &&
 emcc /usr/share/emscripten/test/hello_world.c &&
 esbuild --target=es6 a.out.js > /dev/null &&
 emcc -O3 /usr/share/emscripten/test/hello_world.c &&
 esbuild --target=es6 a.out.js > /dev/null
Restrictions: allow-stderr
Depends:
 emscripten,
 dh-nodejs,
 esbuild,
