=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan
# post-update: debian/rules get-source-map-footer

opts=\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/,\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://github.com/emscripten-core/emscripten/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@ group

# NPM registry needed for node types (avoid if at all possible!)
opts=\
component=Xtypes,\
searchmode=plain,\
pgpmode=none,\
filenamemangle=s/.*?-?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-types-$1/,\
dversionmangle=auto \
https://registry.npmjs.org/@types/emscripten \
https://registry.npmjs.org/@types/emscripten/-/emscripten-@ANY_VERSION@@ARCHIVE_EXT@ ignore
